Upstream information

CVE-2009-4835 at MITRE

Description

The (1) htk_read_header, (2) alaw_init, (3) ulaw_init, (4) pcm_init, (5) float32_init, and (6) sds_read_header functions in libsndfile 1.0.20 allow context-dependent attackers to cause a denial of service (divide-by-zero error and application crash) via a crafted audio file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 631379 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libsndfile-devel >= 1.0.20-2.6.5
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libsndfile-devel-1.0.20-2.6.5
SUSE Linux Enterprise Server 11 SP1
  • libsndfile >= 1.0.20-2.4.1
  • libsndfile-32bit >= 1.0.20-2.4.1
  • libsndfile-x86 >= 1.0.20-2.4.1
Patchnames:
slessp1-libsndfile
SUSE Linux Enterprise Server 11 SP2
  • libsndfile >= 1.0.20-2.4.1
  • libsndfile-32bit >= 1.0.20-2.4.1
  • libsndfile-x86 >= 1.0.20-2.4.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA libsndfile-1.0.20-2.4.1
SUSE Linux Enterprise Server 11 SP3
  • libsndfile >= 1.0.20-2.4.1
  • libsndfile-32bit >= 1.0.20-2.4.1
  • libsndfile-x86 >= 1.0.20-2.4.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA libsndfile-1.0.20-2.4.1
SUSE Linux Enterprise Server 11 SP4
  • libsndfile >= 1.0.20-2.6.5
  • libsndfile-32bit >= 1.0.20-2.6.5
  • libsndfile-devel >= 1.0.20-2.6.5
  • libsndfile-x86 >= 1.0.20-2.6.5
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libsndfile-1.0.20-2.6.1
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libsndfile-devel-1.0.20-2.6.5


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 libsndfile Released
SUSE Linux Enterprise Desktop 11 SP4 libsndfile Affected
SUSE Linux Enterprise Server 11 SP1 libsndfile Released
SUSE Linux Enterprise Server 11 SP1 LTSS libsndfile Released
SUSE Linux Enterprise Server 11 SP3 libsndfile Affected
SUSE Linux Enterprise Server 11 SP3-LTSS libsndfile Affected
SUSE Linux Enterprise Server 11 SP4 libsndfile Affected
SUSE Linux Enterprise Server 11 SP4-LTSS libsndfile Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP1 libsndfile Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 libsndfile Affected
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 libsndfile Released
SUSE Linux Enterprise Software Development Kit 11 SP1 libsndfile Released
SUSE Linux Enterprise Software Development Kit 11 SP4 libsndfile Affected


SUSE Timeline for this CVE

CVE page created: Tue Jul 9 17:36:36 2013
CVE page last modified: Tue Nov 29 11:53:49 2022